CompressedEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.CompressedEntry,CompressedEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class CompressedEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.EnvelopeEntry
                  |
                  +--gnu.crypto.keyring.CompressedEntry

public class CompressedEntry
extends EnvelopeEntry

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.EnvelopeEntry
`containingEnvelope, entries`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`CompressedEntry(Properties properties)`

Method Summary
`static CompressedEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.

Methods inherited from class gnu.crypto.keyring.EnvelopeEntry
`add, containsAlias, containsEntry, decodeEnvelope, get, getAliasList, getEntries, remove, remove, setContainingEnvelope`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### CompressedEntry

    public CompressedEntry(Properties properties)

Method Detail

### decode

    public static CompressedEntry decode(java.io.DataInputStream in)
                                  throws java.io.IOException

    `java.io.IOException`

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Overrides:
    `encodePayload` in class `EnvelopeEntry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.